// TSIntList.h: interface for the derived class: TSIntList,
//    derives from class: TSList
//    associated class: TSPosition, TSIntObject.
//
/////////////////////////////////////////////////////////////////////////

#ifndef TSINTLIST_H_
#define TSINTLIST_H_

#include "TSApi.h"
#include "TSIntObject.h"
#include "TSList.h"

#pragma warning( disable: 4710 )  // inlined function not inlined


class TS_API TSIntList : public TSList
{

  public:

    TSIntList();
    virtual ~TSIntList();

    int Receive( TSServer* server, TSSocket* socket );

    TSIntObject* GetAt( TSPosition* pos )
              { return (TSIntObject*)TSList::GetAt( pos ); }

    // Utility methods
    TSString CommaSeparatedList();
    void PopulateByCommaSeparatedList( TSString sList );

};

#endif
